package com.op.wms.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.op.wms.mapper.OdsInventoryOrderMapper;
import com.op.wms.domain.OdsInventoryOrder;
import com.op.wms.service.IOdsInventoryOrderService;

/**
 * 包材盘点单Service业务层处理
 * 
 * @author Open Platform
 * @date 2023-07-06
 */
@Service
public class OdsInventoryOrderServiceImpl implements IOdsInventoryOrderService {
	@Autowired
	private OdsInventoryOrderMapper odsInventoryOrderMapper;

	/**
	 * 查询包材盘点单
	 * 
	 * @param ID 包材盘点单主键
	 * @return 包材盘点单
	 */
	@Override
	public OdsInventoryOrder selectOdsInventoryOrderByID(String ID) {
		return odsInventoryOrderMapper.selectOdsInventoryOrderByID(ID);
	}

	/**
	 * 查询包材盘点单列表
	 * 
	 * @param odsInventoryOrder 包材盘点单
	 * @return 包材盘点单
	 */
	@Override
	public List<OdsInventoryOrder> selectOdsInventoryOrderList(OdsInventoryOrder odsInventoryOrder) {
		return odsInventoryOrderMapper.selectOdsInventoryOrderList(odsInventoryOrder);
	}

	/**
	 * 新增包材盘点单
	 * 
	 * @param odsInventoryOrder 包材盘点单
	 * @return 结果
	 */
	@Override
	public int insertOdsInventoryOrder(OdsInventoryOrder odsInventoryOrder) {
		return odsInventoryOrderMapper.insertOdsInventoryOrder(odsInventoryOrder);
	}

	/**
	 * 修改包材盘点单
	 * 
	 * @param odsInventoryOrder 包材盘点单
	 * @return 结果
	 */
	@Override
	public int updateOdsInventoryOrder(OdsInventoryOrder odsInventoryOrder) {
		return odsInventoryOrderMapper.updateOdsInventoryOrder(odsInventoryOrder);
	}

	/**
	 * 批量删除包材盘点单
	 * 
	 * @param IDs 需要删除的包材盘点单主键
	 * @return 结果
	 */
	@Override
	public int deleteOdsInventoryOrderByIDs(String[] IDs) {
		return odsInventoryOrderMapper.deleteOdsInventoryOrderByIDs(IDs);
	}

	/**
	 * 删除包材盘点单信息
	 * 
	 * @param ID 包材盘点单主键
	 * @return 结果
	 */
	@Override
	public int deleteOdsInventoryOrderByID(String ID) {
		return odsInventoryOrderMapper.deleteOdsInventoryOrderByID(ID);
	}
}
